Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class SimpleEvaluationStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.SimpleEvaluationStrategy

- All Implemented Interfaces:
    `EvaluationStrategy`, `FederatedServiceResolver`, `FederatedServiceResolverClient`, `UUIDable`

      @Deprecated
      public class SimpleEvaluationStrategy
      extends StrictEvaluationStrategy

  Deprecated.
  renamed to `StrictEvaluationStrategy`.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleEvaluationStrategy​(TripleSource tripleSource, FederatedServiceResolver serviceResolver)` | Deprecated.
    `SimpleEvaluationStrategy​(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver)` | Deprecated.
    `SimpleEvaluationStrategy​(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver, long iterationCacheSyncTreshold)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, isReducedOrDistinct, isTrue, isTrue, optimize, precompile, precompile, precompile, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime, supplyBinaryValueEvaluation, supplyUnaryValueEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategy

      `makeQueue, makeSet`

- - ### Constructor Detail

    - #### SimpleEvaluationStrategy

          public SimpleEvaluationStrategy​(TripleSource tripleSource,
                                          FederatedServiceResolver serviceResolver)

      Deprecated.
      Parameters:
        `tripleSource` -
        `serviceResolver` -

    - #### SimpleEvaluationStrategy

          public SimpleEvaluationStrategy​(TripleSource tripleSource,
                                          Dataset dataset,
                                          FederatedServiceResolver serviceResolver)

      Deprecated.
      Parameters:
        `tripleSource` -
        `dataset` -
        `serviceResolver` -

    - #### SimpleEvaluationStrategy

          public SimpleEvaluationStrategy​(TripleSource tripleSource,
                                          Dataset dataset,
                                          FederatedServiceResolver serviceResolver,
                                          long iterationCacheSyncTreshold)

      Deprecated.
      Parameters:
        `tripleSource` -
        `dataset` -
        `serviceResolver` -
        `iterationCacheSyncTreshold` -